//==============================================================================================
//
//	Windows Interface Construction Set
//	Version 1.00
//
//	IDLG.H - Windows Indirect Dialog Class
//
//	Copyright  1993 by Microdyne Development Technologies
//	All rights reserved.
//
//==============================================================================================

#ifndef _IDLG.H
#define _IDLG.H

#include <owl.h>
#include <dlgtmplt.h>

/*------------------------------------------------------------------------------------------*/
/*	Class TIndirectDialog																	*/
/*------------------------------------------------------------------------------------------*/
/*                                                                                          */
/*	Abstract:                                                                               */
/*                                                                                          */
/*	The TIndirectDialog class defines an indirect dialog object. The dialog template is 	*/
/*	built in memory utilizing the TDialogTemplate object and then passed to this class		*/
/*	creates the dialog based upon this template.											*/
/*                                                                                          */
/*------------------------------------------------------------------------------------------*/

#define ID_TITLE	101
#define ID_DEVICE	102
#define ID_PORT		103

_CLASSDEF(TIndirectDialog)

class TIndirectDialog: public TDialog
{
private:
	PTDialogTemplate	ADialogTemplate;
	HGLOBAL				hDialogTemplate;
	LPDIALOGBOXHEADER	lpDialog;

protected:

public:
	TIndirectDialog(PTWindowsObject AParent, PTDialogTemplate ADialogTemplate);
	~TIndirectDialog();

	virtual BOOL Create();
	virtual int  Execute();
};

#endif

